%define lib_major		1
%define lib_name %mklibname Cw %lib_major
%define develname %mklibname -d Cw
%define lib_name_orig libCw

Summary: 	Full featured multiple window programmer's text editor
Name: 		cooledit
Version: 	3.17.17
Release: 	%mkrel 9
License: 	GPLv2+
Group: 		Editors
BuildRequires:	libx11-devel
BuildRequires:	libxt-devel
BuildRequires:	gettext-devel
Source: 	ftp://ftp.ibiblio.org/pub/Linux/apps/editors/X/%{name}/%{name}-%{version}.tar.bz2
Source1:	%{name}_48x48.xpm
Patch0:         cooledit-gcc4.patch
Patch1:		cooledit-3.17.17-mdv-fix-str-fmt.patch
Patch2:		cooledit-3.17.17-mdv-fix-underlinking.patch
URL: 		ftp://ftp.ibiblio.org/pub/Linux/apps/editors/X/cooledit/

%description 
Full-featured X Window text editor; multiple edit windows; 3D Motif-ish
look and feel; shift-arrow and mouse text highlighting; column text
highlighting and manipulation; color syntax highlighting for various
sources; buildin Python interpretor for macro program.; interactive
graphical debugger - interface to gdb; key for key undo; macro
recording; regular expression search and replace; pull-down menus; drag
and drop; interactive man page browser; run make and other shell
commands with seamless shell interface; redefine keys with an easy
interactive key learner; full support for proportional fonts;

%package -n %lib_name
Group:          Editors
Summary:        Shared library files for cooledit

%description -n %lib_name
Shared library files for cooledit.

%package -n %develname
Group:          Development/C
Summary:        Development files for cooledit
Requires:	%name = %version-%release
Requires:	%lib_name = %version-%release
Provides:	%{name}-devel = %version-%release
Obsoletes:	%{_lib}Cw1-devel

%description -n %develname
Files for development from the cooledit package.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1
%patch1 -p1 
%patch2 -p1 

# fix build with new automake 1.13
sed -i -e 's,AM_CONFIG_HEADER,AC_CONFIG_HEADERS,g' configure.*

%build
autoreconf -vfi
%configure2_5x --program-prefix='' --disable-static
%make

%install
rm -fr %buildroot
%makeinstall_std

%find_lang %{name}

# Mandriva menu entries

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=CoolEdit
Comment=Programmer's text editor with Python and shell scripting hooks
Exec=%{_bindir}/%{name}
Icon=editors_section
Terminal=false
Type=Application
StartupNotify=true
Categories=TextEditor;Utility;
EOF

%clean
rm -fr %buildroot

%files -f %{name}.lang
%defattr (-,root,root)
%doc ABOUT-NLS AUTHORS BUGS COPYING FAQ INSTALL INTERNATIONAL HINTS
%doc NEWS README TODO VERSION ChangeLog
%doc cooledit.lsm cooledit.spec
%doc cooledit_16x16.xpm cooledit_32x32.xpm rxvt/README.rxvt
%dir %_datadir/cooledit/
%_datadir/cooledit/*
%_bindir/*
%_mandir/man1/*
%{_datadir}/applications/%{name}.desktop

%files -n %lib_name
%defattr(-,root,root)
%_libdir/*.so.%lib_major
%_libdir/*.so.%lib_major.*

%files -n %develname
%defattr(-,root,root)
%_libdir/*.so
%_libdir/*.la


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 3.17.17-9.mga3
+ Revision: 348138
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 31 2012 wally <wally> 3.17.17-8.mga3
+ Revision: 336571
- fix build with new automake 1.13

* Mon Jun 27 2011 kharec <kharec> 3.17.17-7.mga2
+ Revision: 114343
- imported package cooledit

